/*---------------------------------------------------------------------------*
*  Copyright (c) 2008        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.agents;

import rca.core.Agent;
import rca.lang.acl.ACLMessage;
import rca.content.onto.basic.Action;

/**
 * This is the basic class for all agents of the runcontrol platform to extend.
 * This abstract class extends RCA Agent class and adds one more method
 * which is going to be implemented by the child classes.
 *
 * @author Vardan Gyurjyan
 *         Date: Jan 13, 2005
 *         Time: 4:49:42 PM
 */
public abstract class CAgent extends Agent {

    abstract ACLMessage processRequest(ACLMessage request, Action a);
    abstract void processInform(ACLMessage msg);
}
