package org.jlab.coda.runcontrol.gui;

/**
 * User: gurjyan
 * Date: Jul 16, 2007
 * Time: 3:53:01 PM
 */

import java.awt.*;
import javax.swing.*;
@SuppressWarnings({"deprecation"})
public class ImageScrollPane extends JScrollPane
{
    ImageIcon image = null;

public ImageScrollPane(){
          this(null, VERTICAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_AS_NEEDED);
}
    
    public ImageScrollPane(Component view, int vsbPolicy, int hsbPolicy)
	{
		super( view, vsbPolicy, hsbPolicy );
		// Set the component to transparent
		if( view instanceof JComponent )
			((JComponent)view).setOpaque(false);
	}

	public ImageScrollPane(Component view)
	{
		 this(view, VERTICAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_AS_NEEDED);
	}

	public ImageScrollPane(int vsbPolicy, int hsbPolicy)
	{
		this(null, vsbPolicy, hsbPolicy);
	}

	public ImageScrollPane(String jpg)
	{
        this(null, VERTICAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_AS_NEEDED);
        image = new ImageIcon(jpg);
	}

	public void paintComponent(Graphics g)
	{
        super.paintComponent(g);
        if( image != null )
		{
			// Draw the background image
		   	Rectangle d = getViewport().getViewRect();
			for( int x = 0; x < d.width; x += image.getIconWidth() )
				for( int y = 0; y < d.height; y += image.getIconHeight() )
//					g.drawImage( image.getImage(), x, y, null, null );
					g.drawImage( image.getImage(), 0, 0, this);
			// Do not use cached image for scrolling
			getViewport().setBackingStoreEnabled(false);
		}
//		super.paint( g );
	}

}


