package org.jlab.coda.runcontrol.gui;

import javax.swing.*;
import javax.swing.JButton;
import javax.accessibility.Accessible;
import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Copyright (c)            Southeastern Universities Research Association,
 * Thomas Jefferson National Accelerator Facility
 * <p/>
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 * <p/>
 * Author: gurjyan
 * Date: Dec 20, 2006
 * Time: 11:06:20 AM
 */
@SuppressWarnings({"deprecation"})
public class RcDialog extends JComponent implements Accessible {

    public JDialog dialog;

    /** A return status code - returned if Cancel button has been pressed */
    public static final int RET_CANCEL = 0;

    /** A return status code - returned if OK button has been pressed */
    public static final int RET_OK = 1;

    /** Message to be shown*/
    private String InfoMessage;

    private String InfoTitle;
    private String GuiTitle;
    private int returnStatus = RET_CANCEL;
    public static String BACKGROUND;
    public static Color TITLE_COLOR;
    
    public RcDialog(String style){
        super();
        if(style.equalsIgnoreCase("plain")){
            BACKGROUND =  "plain";
            TITLE_COLOR = new java.awt.Color(140, 180, 200);
        }else{

// Blue
            if(style.equalsIgnoreCase("blue")){
                BACKGROUND = System.getenv("AFECS_HOME")+"/images/blue.jpg";
                TITLE_COLOR = new java.awt.Color(0x66, 0xFF, 0xFF);

// Lightblue
            }else if(style.equalsIgnoreCase("lightblue")){
               BACKGROUND = System.getenv("AFECS_HOME")+"/images/lightblue.jpg";
               TITLE_COLOR = new java.awt.Color(0x00, 0x33, 0x66);

// Green
            }else if(style. equalsIgnoreCase("green")){
                BACKGROUND = System.getenv("AFECS_HOME")+"/images/Green-Growth.jpg";
                TITLE_COLOR = new java.awt.Color(140, 180, 200);

// Purple
            }else if(style.equalsIgnoreCase("purple")){
                BACKGROUND = System.getenv("AFECS_HOME")+"/images/purple.jpg";
                TITLE_COLOR = new java.awt.Color(140, 180, 200);
// Yello
            }else if(style.equalsIgnoreCase("yellow")){
                BACKGROUND = System.getenv("AFECS_HOME")+"/images/purple.jpg";
                TITLE_COLOR = new java.awt.Color(140, 180, 200);

// Default green
            }else {
                BACKGROUND = System.getenv("AFECS_HOME")+"/images/Green-Growth.jpg";
                TITLE_COLOR = new java.awt.Color(140, 180, 200);
            }
        }
    }


    /**
     *
     * @param parent           parent GUI container
     * @return
     * @throws HeadlessException
     */
    protected JDialog createDialog(Component parent) throws HeadlessException {

        dialog = new JDialog((Frame)parent, GuiTitle, true);
        dialog.setComponentOrientation(this.getComponentOrientation());

        Container contentPane = dialog.getContentPane();
        contentPane.setLayout(new BorderLayout());
        contentPane.add(this, BorderLayout.CENTER);
        if (JDialog.isDefaultLookAndFeelDecorated()) {
            boolean supportsWindowDecorations =
                    UIManager.getLookAndFeel().getSupportsWindowDecorations();
            if (supportsWindowDecorations) {
                dialog.getRootPane().setWindowDecorationStyle(JRootPane.FILE_CHOOSER_DIALOG);
            }
        }
        initComponents();
        dialog.pack();
        dialog.setLocationRelativeTo(parent);
        return dialog;
    }


    /**
     *
     * @param parent                          parent GUI container
     * @param txt                             message to be shown in the text area
     * @param title                           title of the message
     * @param guititle                        title of the dialog gui
     * @throws HeadlessException
     */
    public void showDialog(Component parent, String txt, String title, String guititle) throws HeadlessException {

        InfoMessage = txt;
        InfoTitle = title;
        GuiTitle = guititle;
        dialog = createDialog(parent);
        dialog.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                returnStatus = RET_CANCEL;
            }
        });
        dialog.show();
    }


    /**
     *
     * @param parent                          parent GUI container
     * @param txt                             message to be shown in the text area
     * @param title                           title of the message
     * @param guititle                        title of the dialog gui
     * @param width                           width of the dialog gui
     * @param height                          height of the dialog gui
     * @throws HeadlessException
     */
    public void showDialog(Component parent, String txt, String title, String guititle,int width, int height) throws HeadlessException {

        InfoMessage = txt;
        InfoTitle = title;
        GuiTitle = guititle;
        dialog = createDialog(parent);
        dialog.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                returnStatus = RET_CANCEL;
            }
        });
        dialog.setSize(width,height);
        dialog.show();
    }


    private void initComponents() {

        ImageScrollPane jScrollPane1;
        JComponent jPanel1;
        if(BACKGROUND.equalsIgnoreCase("plain")){
             jPanel1 = new JPanel();
            jScrollPane1 = new ImageScrollPane();
        }   else{
        jPanel1 = new ImagePanel(BACKGROUND);
            jScrollPane1 = new ImageScrollPane(BACKGROUND);
        }
        JButton okButton = new JButton();
        JButton cancelButton = new JButton();
        JLabel jLabel1 = new JLabel();
        JTextArea jTextArea1 = new JTextArea();
        dialog.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        okButton.setText("OK");
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                okButtonActionPerformed(evt);
            }
        });

        cancelButton.setText("Cancel");
        cancelButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelButtonActionPerformed(evt);
            }
        });

        jLabel1.setFont(new java.awt.Font("Lucida Bright", 1, 18));
        jLabel1.setForeground(TITLE_COLOR);
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText(InfoTitle);

        jTextArea1.setBackground(null);
        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setForeground(new java.awt.Color(180, 44, 1));
        jTextArea1.setLineWrap(true);
        jTextArea1.setRows(5);
        jTextArea1.setText(InfoMessage);
        jTextArea1.setWrapStyleWord(true);
        jTextArea1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
        jScrollPane1.setViewportView(jTextArea1);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);

        jPanel1Layout.setHorizontalGroup(
                jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 238, Short.MAX_VALUE)
                                .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 238, Short.MAX_VALUE)
                                .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(okButton, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cancelButton)))
                        .addContainerGap())
        );

        jPanel1Layout.linkSize(new java.awt.Component[] {cancelButton, okButton}, org.jdesktop.layout.GroupLayout.HORIZONTAL);
        jPanel1Layout.setVerticalGroup(
                jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 179, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(cancelButton)
                                .add(okButton))
                        .addContainerGap(23, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(dialog.getContentPane());
        dialog.getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
                layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                )
        );

        layout.setVerticalGroup(
                layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );
    }

    /**
     *
     * @param evt        awt window event
     */
    private void okButtonActionPerformed(java.awt.event.ActionEvent evt) {
        doClose(RET_OK);
    }


    /**
     *
     * @param evt        awt window event
     */
    private void cancelButtonActionPerformed(java.awt.event.ActionEvent evt) {
        doClose(RET_CANCEL);
    }

    /**
     * Closes the dialog
     *
     * @param evt        awt window event
     */
    private void closeDialog(java.awt.event.WindowEvent evt) {
        doClose(RET_CANCEL);
    }

    private void doClose(int retStatus) {
        returnStatus = retStatus;
        setVisible(false);
        dialog.dispose();
        dialog = null;
    }

    /**
     * @return the return status of this dialog - one of RET_OK or RET_CANCEL
     */
    public int getReturnStatus() {
        return returnStatus;
    }
}
