/*---------------------------------------------------------------------------*
*  Copyright (c) 2008        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package org.jlab.coda.runcontrol.gui.dalogbrowser;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class DalogBrowserApp extends SingleFrameApplication implements Runnable{

    public static String name;
    public DalogBrowserView dalogBrowserWindow;
    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        dalogBrowserWindow = new DalogBrowserView(this);
        dalogBrowserWindow.myName = name;
        dalogBrowserWindow.getFrame().setSize(100,100);
        show(dalogBrowserWindow);
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }


    /**
     * A convenient static getter for the application instance.
     * @return the instance of DalogBrowserApp
     */
    public static DalogBrowserApp getApplication() {
        return Application.getInstance(DalogBrowserApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        if(args.length >=2 && args[0].equalsIgnoreCase("-name"))
        name = args[1];
        else return;
//        launch(DalogBrowserApp.class, args);
        DalogBrowserApp myapp = new DalogBrowserApp();
        myapp.startup();
    }

    public void run() {
     this.startup();
    }
}
