/*---------------------------------------------------------------------------*
*  Copyright (c) 2007        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;


public class CoolComponent implements Concept, Serializable {
    public String name, ipc, type, runtype, session, code, coda2,
            clientHost, ipaddr, filterdalog, objtype, reportinginterval, reportsto;
    public Integer priority, loginglevel, clientPort,ethrottlelevel,wthrottlelevel,ithrottlelevel;
    public CoolNode n;
    public CoolOption option;
    public List processes,controls;
    public CoolComponent comp;


    public String getComponent_Name(){
        return name;
    }
    public void setComponent_Name(String s){
        name=s;
    }




    public String getComponent_Objecttype(){
        return objtype;
    }
    public void setComponent_Objecttype(String s){
        objtype=s;
    }




    public Integer getComponent_Priority(){
        return priority;
    }
    public void setComponent_Priority(Integer s){
        priority=s;
    }




    public String getComponent_Type(){
        return type;
    }
    public void setComponent_Type(String s){
        type=s;
    }




    public String getComponent_Ipc(){
        return ipc;
    }
    public void setComponent_Ipc(String s){
        ipc=s;
    }




    public String getComponent_Code(){
        return code;
    }
    public void setComponent_Code(String s){
        code=s;
    }




    public String getComponent_Session(){
        return session;
    }
    public void setComponent_Session(String s){
        session=s;
    }




    public String getComponent_Runtype(){
        return runtype;
    }
    public void setComponent_Runtype(String s){
        runtype=s;
    }




    public CoolNode getComponent_Node(){
        return n;
    }
    public void setComponent_Node(CoolNode a){
        n=a;
    }




    public CoolOption getComponent_Option(){
        return option;
    }
    public void setComponent_Option(CoolOption a){
        option=a;
    }




    public String getComponent_Representscoda2client(){
        return coda2;
    }
    public void setComponent_Representscoda2client(String s){
        coda2=s;
    }




    public Integer getComponent_Loginglevel(){
        return loginglevel;
    }
    public void setComponent_Loginglevel(Integer s){
        loginglevel=s;
    }




    public void setComponent_ClientHost(String s) {
        clientHost = s;
    }
    public String getComponent_ClientHost(){
        return clientHost;
    }




    public void setComponent_Representsipaddress(String s) {
        ipaddr = s;
    }
    public String getComponent_Representsipaddress(){
        return ipaddr;
    }




    public void setComponent_ClientPort(Integer i){
        clientPort = i;
    }
    public Integer getComponent_ClientPort(){
        return clientPort;
    }





    public void setComponent_Processes (List c) {
        processes = c;
    }
    public List getComponent_Processes () {
        return processes;
    }

// depricated method
    public void setComponent_Controls(List a){
        controls = a;
    }
// depricated method
    public List getComponent_Controls(){
        return controls;
    }




    public String getComponent_Reportinginterval(){
        return reportinginterval;
    }
    public void setComponent_Reportinginterval(String s){
        reportinginterval=s;
    }




    public void setComponent_Filtersdalog(String s) {
        filterdalog = s;
    }
    public String getComponent_Filtersdalog(){
        return filterdalog;
    }




    public Integer getComponent_DalogThrottlelevel(){
        return ethrottlelevel;
    }
    public void setComponent_DalogThrottlelevel(Integer s){
        ethrottlelevel=s;
    }




    public void setComponent_Reportsto(String s) {
        reportsto = s;
    }
    public String getComponent_Reportsto(){
        return reportsto;
    }


}
