/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;

import java.io.Serializable;

public class CoolOption implements Concept, Serializable {
    private String datafile,coda2,autostart,startrun,configfilename, prefix,configstring, isxml, ismib;
    private int eventlimit, datalimit;
    private CoolScheduler scheduler;

    public CoolScheduler getOption_Scheduler(){
        return scheduler;
    }
    public void setOption_Scheduler(CoolScheduler s){
        scheduler=s;
    }

    public String getOption_Datafile(){
        return datafile;
    }
    public void setOption_Datafile(String s){
        datafile=s;
    }

    public String getOption_Hascoda2component(){
        return coda2;
    }
    public void setOption_Hascoda2component(String s){
        coda2=s;
    }

    public String getOption_Hasautostart(){
        return autostart;
    }
    public void setOption_Hasautostart(String s){
        autostart=s;
    }

    public String getOption_Hasstartrun(){
        return startrun;
    }
    public void setOption_Hasstartrun(String s){
        startrun=s;
    }

    public int getOption_Datalimit(){
        return datalimit;
    }
    public void setOption_Datalimit(int i){
        datalimit = i;
    }

    public int getOption_Eventlimit(){
        return eventlimit;
    }
    public void setOption_Eventlimit(int i){
        eventlimit = i;
    }

    public String getOption_Configfile(){
        return configfilename;
    }
    public void setOption_Configfile(String s){
        configfilename=s;
    }

    public String getOption_datafileprefix(){
        return prefix;
    }
    public void setOption_Datafileprefix(String s){
        prefix=s;
    }

    public String getOption_Configstring(){
        return configstring;
    }
    public void setOption_Configstring(String s){
        configstring=s;
    }

    public String getOption_Configisxml(){
        return isxml;
    }
    public void setOption_Configisxml(String s){
        isxml=s;
    }

    public String getOption_Configismib(){
        return ismib;
    }
    public void setOption_Configismib(String s){
        ismib=s;
    }

}
