/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;

import java.io.Serializable;

public class CoolProcess implements Concept, Serializable {
    CoolPublisher pub1, pub2;
    CoolData input, output;
    String commandname, commandipc, state, iscritical, istransition, gets, sets, traps, errorstatus, stop;
    Integer timeout, period, delay, errorindex, requestid;

    public void setProcess_Ispartofstate(String c) {
        state = c;
    }
    public String getProcess_Ispartofstate() {
        return state;
    }

    public void setProcess_Commandname(String c) {
        commandname = c;
    }
    public String getProcess_Commandname() {
        return commandname;
    }

    public void setProcess_Ipc(String c) {
        commandipc = c;
    }
    public String getProcess_Ipc() {
        return commandipc;
    }

    public void setProcess_Timeout(Integer s) {
        timeout = s;
    }
    public Integer getProcess_Timeout() {
        return timeout;
    }

    public void setProcess_Periodicity(Integer s) {
        period = s;
    }
    public Integer getProcess_Periodicity() {
        return period;
    }

    public void setProcess_Delay(Integer s) {
        delay = s;
    }
    public Integer getProcess_Delay() {
        return delay;
    }

    public void setProcess_Inputdata(CoolData c) {
        input = c;
    }
    public CoolData getProcess_Inputdata() {
        return input;
    }

    public void setProcess_Outputdata(CoolData c) {
        output = c;
    }
    public CoolData getProcess_Outputdata() {
        return output;
    }

    public void setProcess_Subscribesto(CoolPublisher c) {
        pub1 = c;
    }
    public CoolPublisher getProcess_Subscribesto() {
        return pub1;
    }

    public void setProcess_Sendsto(CoolPublisher c) {
        pub2 = c;
    }
    public CoolPublisher getProcess_Sendsto() {
        return pub2;
    }

    public void setProcess_Iscritical(String c) {
        iscritical = c;
    }
    public String getProcess_Iscritical() {
        return iscritical;
    }

    public void setProcess_Isstatetransition(String c) {
        istransition = c;
    }
    public String getProcess_Isstatetransition() {
        return istransition;
    }

    public void setProcess_Sets(String c) {
        sets = c;
    }
    public String getProcess_Sets() {
        return sets;
    }

    public void setProcess_Gets(String c) {
        gets = c;
    }
    public String getProcess_Gets() {
        return gets;
    }

    public void setProcess_Traps(String c) {
        traps = c;
    }
    public String getProcess_Traps() {
        return traps;
    }

    public void setProcess_Stop(String c) {
        stop = c;
    }
    public String getProcess_Stop() {
        return stop;
    }

    public void setProcess_Errorstatus(String c) {
        errorstatus = c;
    }
    public String getProcess_Errorstatus() {
        return errorstatus;
    }

    public void setProcess_Errorindex(Integer c) {
        errorindex = c;
    }
    public Integer getProcess_Errorindex() {
        return errorindex;
    }

    public void setProcess_Requestid(Integer c) {
        requestid = c;
    }
    public Integer getProcess_Requestid() {
        return requestid;
    }

}
