/*---------------------------------------------------------------------------*
*  Copyright (c) 2007        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*                                               Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package org.jlab.coda.runcontrol.ontologies.CodaRunControl;
import rca.content.Concept;
import rca.util.leap.List;

import java.io.Serializable;


public class CoolRule implements Concept, Serializable {

    CoolState Rif, Relseif, Rwhile;
    List Rorif, Randif;
    List Rthenexecute, Relseexecute, Relseifexecute, Rwhileexecute;
    List Rthenmoveto, Relsemoveto, Relseifmoveto, Rwhilemoveto;
    int iteration, rloop, rwait;
    String Relse, Rendloop, Rendif, Rendwhile; 



    public void setRule_Iteration (int l) {
         iteration = l;
    }
    public int getRule_Iteration () {
        return iteration;
    }

    public void setRule_Loop (int l) {
          rloop = l;
    }
    public int getRule_Loop () {
        return rloop;
    }

    public void setRule_Wait (int l) {
          rwait = l;
    }
    public int getRule_Wait () {
        return rwait;
    }

    public void setRule_If (CoolState l) {
         Rif = l;
    }
    public CoolState getRule_If () {
        return Rif;
    }

    public void setRule_Elseif (CoolState l) {
         Relseif = l;
    }
    public CoolState getRule_Elseif () {
        return Relseif;
    }

    public void setRule_While (CoolState l) {
         Rwhile = l;
    }
    public CoolState getRule_While () {
        return Rwhile;
    }

    public void setRule_Orif (List l) {
         Rorif = l;
    }
    public List getRule_Orif () {
        return Rorif;
    }

    public void setRule_Andif (List l) {
         Randif = l;
    }
    public List getRule_Andif () {
        return Randif;
    }

    public void setRule_Thenmoveto (List l) {
         Rthenmoveto = l;
    }
    public List getRule_Thenmoveto () {
        return Rthenmoveto;
    }

    public void setRule_Elsemoveto (List l) {
         Relsemoveto = l;
    }
    public List getRule_Elsemoveto () {
        return Relsemoveto;
    }

    public void setRule_Elseifmoveto (List l) {
         Relseifmoveto = l;
    }
    public List getRule_Elseifmoveto () {
        return Relseifmoveto;
    }

    public void setRule_Whilemoveto (List l) {
         Rwhilemoveto = l;
    }
    public List getRule_Whilemoveto () {
        return Rwhilemoveto;
    }

    public void setRule_Thenexecute (List l) {
         Rthenexecute = l;
    }
    public List getRule_Thenexecute () {
        return Rthenexecute;
    }

    public void setRule_Elseexecute (List l) {
         Relseexecute = l;
    }
    public List getRule_Elseexecute () {
        return Relseexecute;
    }

    public void setRule_Elseifexecute (List l) {
         Relseifexecute = l;
    }
    public List getRule_Elseifexecute () {
        return Relseifexecute;
    }

    public void setRule_Whileexecute (List l) {
         Rwhileexecute = l;
    }
    public List getRule_Whileexecute () {
        return Rwhileexecute;
    }

    public void setRule_Else (String l) {
          Relse = l;
    }
    public String getRule_Else () {
        return Relse;
    }

    public void setRule_Endloop (String l) {
          Rendloop = l;
    }
    public String getRule_Endloop () {
        return Rendloop;
    }

    public void setRule_Endif (String l) {
          Rendif = l;
    }
    public String getRule_Endif () {
        return Rendif;
    }

    public void setRule_Endwhile (String l) {
          Rendwhile = l;
    }
    public String getRule_Endwhile () {
        return Rendwhile;
    }


}
