/*----------------------------------------------------------------------------*
*  Copyright (c) 2002        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, 6A/602-13     *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5800             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package org.jlab.coda.runcontrol.util.coolparser;


        import com.hp.hpl.jena.rdf.model.* ;
        import com.hp.hpl.jena.rdql.* ;

        import java.util.* ;
        import java.io.* ;

        public class readrdf
        {
            /** COOL language deffinition (taxonomy) cool.rdfs file url*/
            private static String COOL_CORE = "http://coda.jlab.org/COOL";

            static public void main(String[] argv)
            {

                String tq1 = "SELECT ?x " +
            "WHERE(?x,<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>, " +
            "<http://ankaa.jlab.org/~gurjyan/COOL/cool#Control>)";

                String tq2 = "SELECT ?x WHERE(<a1d1f4:f84b99c7ca:-8000"+
                        ">, <http://ankaa.jlab.org/~gurjyan/COOL/cool#hasComponent>,?x )";

                String tq3 =
                "SELECT ?x ?y WHERE(?x <http://ankaa.jlab.org/~gurjyan/COOL/cool#hasComponent>, ?y )";

                String tq = "SELECT ?x " +
                        "WHERE(?x,<http://www.w3.org/1999/02/22-rdf-syntax-ns#type>, " +
                        "<"+COOL_CORE+"/cool#Control>)";

                try {
                    Model model = ModelFactory.createDefaultModel() ;
                    model.read(new FileInputStream("/daqfs/home/gurjyan/Devel/Afecs/tagged/afecs/cool/Test_dp1.rdf"),
                               "http://CoolOntology",
                               "RDF/XML") ;

                    Query query = new Query(tq) ;
                    query.setSource(model);
                    QueryExecution qe = new QueryEngine(query) ;

                    QueryResults results = qe.exec() ;
                    System.out.println(results.hasNext());
                    for ( ; results.hasNext() ; )
//                    Iterator iter = results;
//                    if(iter.hasNext())
                    {
                        ResultBinding res = (ResultBinding)results.next() ;
                        Resource x = (Resource)res.get("x") ;
                        if(x==null)break;
//                        Object y = res.get("y") ;
                        System.out.println("x = "+x) ;
//                        System.out.println("y = "+y) ;
                        String tqs = "SELECT ?x "+ "WHERE(<"+x.toString()+
                                ">, <"+COOL_CORE+"/cool#hasComponent>,?x )";
                        

                    }
                    results.close() ;

                } catch (Exception ex)
                {
                    System.err.println("Exception: "+ex) ;
                    ex.printStackTrace(System.err) ;
                }
            }
        }


