package org.jlab.coda.runcontrol.util.db;

/**
 * Interface defining a method name used to get all runType data.
 *
 * @author  Carl Timmer
 */
public interface DataRetriever {
    /**
     * Get data from a data source by means of this method.
     *
     * @param rType name of the runType (or experiment configuration)
     * @exception org.jlab.coda.runcontrol.util.db.RCException
     *            If any problems retrieving the data
     */
    public RunTypeData getData(String rType) throws RCException ;
    
}
