package org.jlab.coda.runcontrol.util.snmp;

import net.percederberg.mibble.value.ObjectIdentifierValue;
import net.percederberg.mibble.snmp.SnmpAccess;
import net.percederberg.mibble.snmp.SnmpStatus;
import net.percederberg.mibble.MibValue;
import net.percederberg.mibble.MibType;

/**
 * Class defines the single MIB object, and provides
 * accessor methods to the properties of the MIB parameter.
 *
 * @author: gurjyan
 * @date: Jan 10, 2008
 * @time: 3:02:53 PM
 */
public class AfecsMibObject {

    private ObjectIdentifierValue oid;
    private SnmpAccess access;
    private MibValue defaultValue;
    private String description;
    private String name;
    private String reference;
    private SnmpStatus status;
    private MibType syntax;
    private String unit;

    // Object Identifier (1.3.6.1....)
    public void setOid(ObjectIdentifierValue o){
        oid = o;
    }
    public ObjectIdentifierValue getOid(){
        return oid;
    }

    // Access type (read/write, etc.)
    public void setAccess(SnmpAccess o){
        access = o;
    }
    public SnmpAccess getAccess(){
        return access;
    }

    // Default value of the parameter
    public void setDefaultValue(MibValue o){
        defaultValue = o;
    }
    public MibValue getDefaultValue(){
        return defaultValue;
    }

    // Description of the parameter
    public void setDescription(String o){
        description = o;
    }
    public String getDescription(){
        return description;
    }

    // The name of the parameter
    public void setName(String o){
        name = o;
    }
    public String getName(){
        return name;
    }

    // Reference of the parameter
    public void setReference(String o){
        reference = o;
    }
    public String getReference(){
        return reference;
    }

    // Current Status of the parameter
    public void setStatus(SnmpStatus o){
        status = o;
    }
    public SnmpStatus getStatus(){
        return status;
    }

    // Syntax of the parameter, including limits, etc.
    public void setSyntax(MibType o){
        syntax = o;
    }
    public MibType getSyntax(){
        return syntax;
    }

    // The unit of the parameter value
    public void setUnit(String o){
        unit = o;
    }
    public String getUnit(){
        return unit;
    }

}
