/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.abs;

import rca.content.ContentElement;

/**
 * An abstract descriptor that can hold a generic content element
 * expression.
 * Original author Federico Bergenti - Universita` di Parma
 */
public interface AbsContentElement extends AbsObject, ContentElement {
	/**
	 * Return true if this Abstract Content Element represents a ContentExpression
	 * of the SL Grammar (see also FIPA-SL specifications).
	 * @return true if this Abstract Content Element represents a ContentExpression
	 * of the SL Grammar (see also FIPA-SL specifications), false otherwise 
	 */
	public boolean isAContentExpression();
	/**
	 * Set the isAContentExpression flag to the passed value.
	 * By default, if this method was not called, this value is intialized to false.
	 * @param flag true if this Abstract Content Element represents a ContentExpression
	 * of the SL Grammar (see also FIPA-SL specifications), false otherwise 
	 */
	public void setIsAContentExpression(boolean flag);
}
