/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.lang.sl;

/**
 * The vocabulary of the simbols used in the FIPA SL language
 * Original author Giovanni Caire - TILAB
 */
public interface SLVocabulary 
//#MIDP_EXCLUDE_BEGIN
	extends SL2Vocabulary {
//#MIDP_EXCLUDE_END
/*#MIDP_INCLUDE_BEGIN
	extends SL0Vocabulary {

	// SL1 operators
  public static final String         AND = "and";
  public static final String         AND_LEFT = "left";
  public static final String         AND_RIGHT = "right";
  
  public static final String         OR = "or";
  public static final String         OR_LEFT = "left";
  public static final String         OR_RIGHT = "right";
  
  public static final String         NOT = "not";
  public static final String         NOT_WHAT = "what";
  
	// SL2 operators
  public static final String         IOTA = "iota";
  public static final String         ANY = "any";
  public static final String         ALL = "all";
  
  public static final String         EXISTS = "exists";
  public static final String         EXISTS_WHAT = "what";
  public static final String         EXISTS_CONDITION = "condition";
  
  public static final String         FORALL = "forall";
  public static final String         FORALL_WHAT = "what";
  public static final String         FORALL_CONDITION = "condition";
  
  public static final String         BELIEF = "B";
  public static final String         BELIEF_AGENT = "agent";
  public static final String         BELIEF_CONDITION = "condition";
  
  public static final String         UNCERTAINTY = "U";
  public static final String         UNCERTAINTY_AGENT = "agent";
  public static final String         UNCERTAINTY_CONDITION = "condition";
  
  public static final String         PERSISTENT_GOAL = "PG";
  public static final String         PERSISTENT_GOAL_AGENT = "agent";
  public static final String         PERSISTENT_GOAL_CONDITION = "condition";
  
  public static final String         INTENTION = "I";
  public static final String         INTENTION_AGENT = "agent";
  public static final String         INTENTION_CONDITION = "condition";
  
  public static final String         FEASIBLE = "feasible";
  public static final String         FEASIBLE_ACTION = "action";
  public static final String         FEASIBLE_CONDITION = "condition";
  
  public static final String         ACTION_SEQUENCE = ";";
  public static final String         ACTION_SEQUENCE_FIRST = "first";
  public static final String         ACTION_SEQUENCE_SECOND = "second";
  
  public static final String         ACTION_ALTERNATIVE = "|";
  public static final String         ACTION_ALTERNATIVE_FIRST = "first";
  public static final String         ACTION_ALTERNATIVE_SECOND = "second";
#MIDP_INCLUDE_END*/
}
