/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.onto;

/**
 * Thrown when the schema for the type of the entity to be translated
 * into/from an abstract descriptor is not defined in the ontology
 * used to perform the translation.
 * This particular case of OntologyException is handled differently
 * as the schema can be defined in one of the base ontologies.
 *
 * @see    rca.content.onto
 * Original author Giovanni Caire - TILAB
 */
class UnknownSchemaException extends OntologyException {

    /**
     * Constructor
     */
    public UnknownSchemaException() {
        super(null);
    }
}

