/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.onto.basic;

import rca.content.*;

/**
   This class implements the <code>done</code> operator of the
   FIPA SL0 action.
   Original author Giovanni Caire - TILAB
 */
public class Done implements Predicate {
    private Concept action;
    private Predicate condition;

    public Done() {
        action = null;
        condition = null;
    }

    public Done(Concept a) {
        setAction(a);
    }

    public Concept getAction() {
        return action;
    }

    public void setAction(Concept a) {
        action = a;
    }

    public Predicate getCondition() {
        return condition;
    }

    public void setCondition(Predicate c) {
        condition = c;
    }

}
