/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.onto.basic;

import rca.content.*;
import rca.content.onto.*;

/**
   This class implements the <code>=</code> operator of the
   FIPA SL0 action.
   Original author Giovanni Caire - TILAB
 */
public class Equals implements Predicate {
	private Object left;
	private Object right;
	
	public Equals() {
		left = null;
		right = null;
	}
	
	public Equals(Object l, Object r) {
		setLeft(l);
		setRight(r);
	}
	
	public Object getLeft() {
		return left;
	}
	
	public void setLeft(Object l) {
		try {
			Ontology.checkIsTerm(l);
		}
		catch (OntologyException oe) {
			throw new IllegalArgumentException(oe.getMessage());
		}
		left = l;
	}	
	
	public Object getRight() {
		return right;
	}
	
	public void setRight(Object r) {
		try {
			Ontology.checkIsTerm(r);
		}
		catch (OntologyException oe) {
			throw new IllegalArgumentException(oe.getMessage());
		}
		right = r;
	}	
	
}
