/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.onto.basic;

import rca.content.*;
import rca.util.leap.List;
import rca.util.leap.ArrayList;

/**
   This class implements the <code>result</code> operator of the
   FIPA SL0 action.
   Original author Giovanni Caire - TILAB
 */
public class Result implements Predicate {
	private Concept action;
	private Object value;
	
	public Result() {
		action = null;
		value = null;
	}
	
	public Result(Concept a, Object v) {
		setAction(a);
		setValue(v);
	}
	
	public Concept getAction() {
		return action;
	}
	
	public void setAction(Concept a) {
		action = a;
	}	
	
	public Object getValue() {
		return value;
	}
	
	public void setValue(Object v) {
		value = v;
	}	
	
	public List getItems() {
		if (value instanceof List) {
			return (List) value;
		}
		else {
			List l = new ArrayList(1);
			if (value != null) {
				l.add(value);
			}
			return l;
		}
	}
	
	public void setItems(List l) {
		value = l;
	}	
	
}
