/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.content.schema;

import rca.content.onto.*;
import rca.content.abs.AbsObject;
import rca.util.leap.Serializable;

/**
 * Represent a generic Facet (i.e. a constraint on the possible 
 * values) that can be applied on a slot in a schema of 
 * an ontological element.
 * Original author Giovanni Caire - TILAB
 */
public interface Facet extends Serializable {
	/**
	   Check whether a given value for the slot this Facet applies
	   to is valid.
	   @param value The value to be checked
	   @throws OntologyException If the value is not valid
	 */
	void validate(AbsObject value, Ontology onto) throws OntologyException;
}