/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

import rca.lang.acl.ACLMessage;
//#MIDP_EXCLUDE_BEGIN
import rca.core.behaviours.Behaviour;
import rca.security.JADEPrincipal;
import rca.security.Credentials;
//#MIDP_EXCLUDE_END

/**
Original author Giovanni Rimassa - Universita' di Parma
@version $Date: 2005-06-23 00:36:29 +0200 (Thu, 23 Jun 2005) $ $Revision: 5727 $
*/

interface AgentToolkit {
  Location here();
  void handleEnd(AID agentID);
  void handleChangedAgentState(AID agentID, int from, int to);
  void handleSend(ACLMessage msg, AID sender, boolean needClone);

  //#MIDP_EXCLUDE_BEGIN
  void handlePosted(AID agentID, ACLMessage msg);
  void handleReceived(AID agentID, ACLMessage msg);
  void handleBehaviourAdded(AID agentID, Behaviour b);
  void handleBehaviourRemoved(AID agentID, Behaviour b);
  void handleChangeBehaviourState(AID agentID, Behaviour b, String from, String to);

  // FIXME: Needed due to the Persistence Service being an add-on
  //void handleSave(AID agentID, String repository) throws ServiceException, NotFoundException, IMTPException;
  //void handleReload(AID agentID, String repository) throws ServiceException, NotFoundException, IMTPException;
  //void handleFreeze(AID agentID, String repository, ContainerID bufferContainer) throws ServiceException, NotFoundException, IMTPException;

  rca.wrapper.AgentContainer getContainerController(JADEPrincipal principal, Credentials credentials);
  //#MIDP_EXCLUDE_END
  
  ServiceHelper getHelper(Agent a, String serviceName) throws ServiceException;

  void setPlatformAddresses(AID id);
  AID getAMS();
  AID getDefaultDF();
  String getProperty(String key, String aDefault);

}
