/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

//#APIDOC_EXCLUDE_FILE
//#MIDP_EXCLUDE_FILE

/**

  This class represents a communication channel, over which ACL
  messages can travel.

  Original author Giovanni Rimassa - Universita` di Parma
  @version $Date: 2003-11-18 14:23:42 +0100 (Tue, 18 Nov 2003) $ $Revision: 4548 $
*/
public class Channel {

  private String name;
  private String protocol;
  private String address;

  public Channel(String n, String p, String a) {
    name = n;
    protocol = p;
    address = a;
  }

  public void setName(String n) {
    name = n;
  }

  public String getName() {
    return name;
  }

  public void setProtocol(String p) {
    protocol = p;
  }

  public String getProtocol() {
    return protocol;
  }

  public void setAddress(String a) {
    address = a;
  }

  public String getAddress() {
    return address;
  }

}
