/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

//#MIDP_EXCLUDE_FILE

import rca.lang.acl.ACLMessage;
import rca.core.behaviours.Behaviour;
//__SECURITY__BEGIN
import rca.security.JADEPrincipal;
import rca.security.Credentials;
//__SECURITY__END

/**
 * This is a degenerate toolkit which is used before the actual one is
 * setup or during agent termination. Every method which returns an object
 * will return null and all others do nothing.
 * Original author Dick Cowan - HP
 */
final class DummyToolkit implements AgentToolkit {

    static AgentToolkit at = null;
    
    static AgentToolkit instance() {
        if (at == null) {
            at = new DummyToolkit();
        }
        return at;
    }

    public Location here() {
        return null;
    }
    
    //FIXME should we here throw an InternalError also?
    public void handleEnd(AID agentID) {}
    public void handleSend(ACLMessage msg, AID sender, boolean needClone) {}
    public void handlePosted(AID agentID, ACLMessage msg) {}
    public void handleReceived(AID agentID, ACLMessage msg) {}
    public void handleChangedAgentState(AID agentID, int from, int to) {}
    public void handleBehaviourAdded(AID agentID, Behaviour b) {}
    public void handleBehaviourRemoved(AID agentID, Behaviour b) {}
    public void handleChangeBehaviourState(AID agentID, Behaviour b, String from, String to) {}

    // FIXME: Needed due to the Persistence Service being an add-on
    public void handleSave(AID agentID, String repository) throws ServiceException, NotFoundException, IMTPException {}
    public void handleReload(AID agentID, String repository) throws ServiceException, NotFoundException, IMTPException {}
    public void handleFreeze(AID agentID, String repository, ContainerID bufferContainer) throws ServiceException, NotFoundException, IMTPException {}

  	public rca.wrapper.AgentContainer getContainerController(JADEPrincipal principal, Credentials credentials) {
  		return null;
  	}
    
    public void setPlatformAddresses(AID id) {}
    
    public AID getAMS() {
        return null;
    }
    
    public AID getDefaultDF() {
        return null;
    }
    
	public String getProperty(String key, String aDefault) {
		return null;
	}

    public ServiceHelper getHelper(Agent a, String serviceName) throws ServiceException {
        return null;
    }

}
