/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.core;

//#APIDOC_EXCLUDE_FILE


import rca.util.WrapperException;

/**
 * This exception is thrown when an error occurs in the
 * communication with a remote object
 * Original author Giovanni Caire - TILAB
 * Original author Nicolas Lhuillier - Motorola
 */
 public class IMTPException extends WrapperException {

  /**
   * Constructs an <code>IMTPException</code> with the specified detail message.
   * @param msg The detail message.
   */
  public IMTPException(String msg) {
    super(msg);
  }

  /**
   * Constructs an <code>IMTPException</code> with the specified detail message,
   * wrapping the given <code>Throwable</code>object.
   * @param msg The detail message.
   * @param t The exception to wrap.
   */
  public IMTPException(String msg, Throwable t) {
    super(msg, t);
  }

}

