/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

/**
   Original author Giovanni Caire - TILAB
 */
class LightResourceManager implements ResourceManager {
	private static final int USER_AGENTS_PRIORITY = Thread.NORM_PRIORITY;
	private static final int SYSTEM_AGENTS_PRIORITY = Thread.NORM_PRIORITY;
	private static final int TIME_CRITICAL_PRIORITY = Thread.MAX_PRIORITY;
      
  public LightResourceManager() {
  }
  
  public Thread getThread(int type, String name, Runnable r) {
  	Thread t = new Thread(r);
  	switch (type) {
  	case USER_AGENTS:
      t.setPriority(USER_AGENTS_PRIORITY);
  		break;
  	case SYSTEM_AGENTS:
      t.setPriority(SYSTEM_AGENTS_PRIORITY);
  		break;
  	case TIME_CRITICAL:
      t.setPriority(TIME_CRITICAL_PRIORITY);
  		break;
  	}
  	
  	return t;
  }
  
  public void releaseResources() {
  }
  	
}
  	
  		
  		
  
  
      