/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

//#APIDOC_EXCLUDE_FILE


import rca.mtp.MTPDescriptor;

import rca.security.JADEPrincipal;

import rca.util.leap.List;

/**
   Original author Giovanni Rimassa - Universita' di Parma
   @version $Date: 2006-02-21 08:56:26 +0100 (Tue, 21 Feb 2006) $ $Revision: 5860 $
*/

public interface MainContainer {

    void bornAgent(AID name, ContainerID cid, JADEPrincipal principal, String ownership, boolean forceReplacement) throws NameClashException, NotFoundException;
    void deadAgent(AID name, boolean containerRemoved) throws NotFoundException;
    void suspendedAgent(AID name) throws NotFoundException;
    void resumedAgent(AID name) throws NotFoundException;
  	void movedAgent(AID agentID, ContainerID from, ContainerID to) throws NotFoundException;
    void frozenAgent(AID name, ContainerID bufferContainer) throws NotFoundException;
    void thawedAgent(AID name, ContainerID bufferContainer) throws NotFoundException;

    void newMTP(MTPDescriptor mtp, ContainerID cid) throws IMTPException;
    void deadMTP(MTPDescriptor mtp, ContainerID cid) throws IMTPException;

    void toolAdded(AID tool);
    void toolRemoved(AID tool);

    ContainerID[] containerIDs();
    AID[] agentNames();
    List containerMTPs(ContainerID cid) throws NotFoundException;
    List containerAgents(ContainerID cid) throws NotFoundException;
    ContainerID getContainerID(AID agentID) throws NotFoundException;
    NodeDescriptor getContainerNode(ContainerID cid) throws NotFoundException;
    
    //#MIDP_EXCLUDE_BEGIN
    AgentDescriptor acquireAgentDescriptor(AID agentID);
    void releaseAgentDescriptor(AID agentID);
    //#MIDP_EXCLUDE_END

}
