/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

//#APIDOC_EXCLUDE_FILE


/**
  This exception is thrown when trying to create an agent with an
  already existing name.
Original author Giovanni Rimassa - Universita` di Parma
@version $Date: 2005-01-10 17:14:29 +0100 (Mon, 10 Jan 2005) $ $Revision: 5513 $
*/
public class NameClashException extends Exception {

	/**
	   This constant string is used to distinguish a name clash
	   from other reasons that may prevent the creation of an agent.
	 */
	public static final String KEYWORD = "Name-clash";
	
  /**
     Construct a <code>NameClashException</code> with no detail message
  */
  public NameClashException() {
      super(KEYWORD);
  }

  /**
    Construct a <code>NameClashException</code> with the given message.
    @param msg The exception message.
  */
  public NameClashException(String msg) {
    super(KEYWORD+" "+msg);
  }
}
