/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.core;

/**
  This exception is thrown when some component (agent, agent container, etc.)
  cannot be found in the agent platform data structures.

  Original author Giovanni Rimassa - Universita` di Parma
  @version $Date: 2003-05-29 15:27:01 +0200 (Thu, 29 May 2003) $ $Revision: 4046 $
*/
public class NotFoundException extends Exception {

  /**
     Construct a <code>NotFoundException</code> with no detail message
  */
  public NotFoundException() {
      super();
  }

  /**
    Construct a <code>NotFoundException</code> with the given message.
    @param msg The exception message.
  */
  public NotFoundException(String msg) {
    super(msg);
  }
}
