/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.core;

import rca.util.WrapperException;

/**
 * This class represents an exception related to rca profile creation
 * or management.
 *
 * Original author Giovanni Caire - TILAB
 */
public class ProfileException extends WrapperException {

    /**
     * Construct a <code>ProfileException</code> with the given message.
     * @param msg The exception message.
     */
    public ProfileException(String msg) {
        super(msg);
    }

  /**
   * Constructs a <code>ProfileException</code> with the specified detail message,
   * wrapping the given <code>Throwable</code>object.
   * @param msg The detail message.
   * @param t The exception to wrap.
   */
  public ProfileException(String msg, Throwable t) {
    super(msg, t);
  }
}

