/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core;

//#APIDOC_EXCLUDE_FILE



public class ServiceNotActiveException extends ServiceException {

    public ServiceNotActiveException() {
	super("A requested was not active on this node.");
    }

    public ServiceNotActiveException(String serviceName) {
	super("The service <" + serviceName + "> was not active on this node");
    }

    public ServiceNotActiveException(String serviceName, Throwable cause) {
	super("The service <" + serviceName + "> was not active on this node", cause);
    }

}
