/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.core;

//#APIDOC_EXCLUDE_FILE


import rca.util.WrapperException;


/**
  This exception is thrown when some agent container cannot be contacted.

  Original author Giovanni Rimassa - Universita` di Parma
  @version $Date: 2003-11-18 14:23:42 +0100 (Tue, 18 Nov 2003) $ $Revision: 4548 $
*/
public class UnreachableException extends WrapperException {

  /**
    Construct an <code>UnreachableException</code> with the given message.
    @param msg The exception message.
  */
  public UnreachableException(String msg) {
    super(msg);
  }

  /**
    Construct an <code>UnreachableException</code> with the given
    message and exception cause.
    @param msg The exception message.
    @param t The <code>Throwable</code> tht caused this exception.
  */
  public UnreachableException(String msg, Throwable t) {
    super(msg, t);
  }

}
