/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core.event;

import java.util.Date;

import rca.util.Event;
import rca.core.ContainerID;

/**
 * This class represents a generic rca event.
 *
 * Original author Giovanni Rimassa - Universita` di Parma
 * Original author David I. Bell, Dick Cowan - Hewlett-Packard
 *
 * @version $Date: 2002-08-28 17:14:13 +0200 (Wed, 28 Aug 2002) $ $Revision: 3354 $
 */
public class JADEEvent extends Event {

  private Date time;

  public JADEEvent(int type, ContainerID cid) {
      super(type, cid);
      time = new Date(); // Now
  }

  public ContainerID getPlace() {
    return (ContainerID)(getSource());
  }
  
  public Date getTime() {
    return time;
  }

}
