/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core.messaging;

//#MIDP_EXCLUDE_FILE


import java.io.IOException;

import rca.core.AID;
import rca.core.Profile;

public interface MessageStorage {

  interface LoadListener {
    void loadStarted(String storeName);
    void itemLoaded(String storeName, GenericMessage msg, AID receiver);
    void loadEnded(String storeName);
  }

  void init(Profile p);
  String store(GenericMessage msg, AID receiver) throws IOException;
  void delete(String storeName, AID receiver) throws IOException;
  void loadAll(LoadListener ll) throws IOException;

}
