/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.core.messaging;

//#J2ME_EXCLUDE_FILE
//#APIDOC_EXCLUDE_FILE

import rca.core.Agent;
import rca.domain.introspection.*;

public class MessagingMonitorAgent extends Agent {
	protected void setup() {
		addBehaviour(new IntrospectionServer(this));
	}
	
	public String[] getMessageManagerQueueStatus() {
		MessageManager mm = MessageManager.instance(null);
		return mm.getQueueStatus();
	}
	
	public String[] getMessageManagerThreadPoolStatus() {
		MessageManager mm = MessageManager.instance(null);
		return mm.getThreadPoolStatus();
	}
}
