/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core.mobility;

//#MIDP_EXCLUDE_FILE

/**
   This interface provides callback methods that will be invoked
   during the migration or cloning of an agent that had previously
   registered this <code>Movable</code> object.
   @see rca.core.mobility.AgentMobilityHelper#registerMovable(Movable m)
   Original author Giovanni Caire - TILAB.
 */
public interface Movable extends rca.util.leap.Serializable {
	void beforeMove();
	void afterMove();
	void beforeClone();
	void afterClone();
}
