/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.core.nodeMonitoring;

//#MIDP_EXCLUDE_FILE
//#APIDOC_EXCLUDE_FILE

import rca.core.BaseService;
import rca.core.AgentContainer;
import rca.core.Profile;
import rca.core.ProfileException;
import rca.core.NodeFailureMonitor;


/**
   Base service for services that implements ad hoc node monitoring
   mechanisms such as the UDPNodeMonitoringService
 */
public abstract class NodeMonitoringService extends BaseService {
	public void init(AgentContainer ac, Profile p) throws ProfileException {
		super.init(ac, p);
		
		if (ac.getMain() != null) {
			NodeFailureMonitor.init(this);
		}
	}
	
	public abstract NodeFailureMonitor getFailureMonitor(); 	
}