/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.core.nodeMonitoring;

//#J2ME_EXCLUDE_FILE
//#APIDOC_EXCLUDE_FILE

import rca.core.Service;
import rca.core.IMTPException;
import rca.core.ServiceException;

public interface UDPNodeMonitoringSlice extends Service.Slice {
	static final String H_ACTIVATEUDP = "H-ACTIVATEUDP";
	static final String H_DEACTIVATEUDP = "H-DEACTIVATEUDP";
	
	/*
	 * Request a given node to start sending UDP packets
	 */
	void activateUDP(String label, String host, int port, int pingDelay, long key) throws IMTPException, ServiceException;
	
	/*
	 * Request a given node to stop sending UDP packets
	 */
	void deactivateUDP(String label, long key) throws IMTPException;
}
