/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain;

//#APIDOC_EXCLUDE_FILE
//#MIDP_EXCLUDE_FILE


import rca.util.leap.Iterator;
import rca.util.leap.List;

import rca.core.AID;

/**
  
  This interface is used to avoid any relationship between the df 
  and the tools packages.
  A gui for a DF must implements this interface.

  Original author Tiziana Trucco - CSELT S.p.A.
  @version $Date: 2003-11-18 17:26:01 +0100 (Tue, 18 Nov 2003) $ $Revision: 4564 $

*/

public interface DFGUIInterface
{

  public void addParent(AID parentName);
  public void removeParent(AID parentName);
  
  public void addAgentDesc(AID name); 
  public void removeAgentDesc(AID name, AID df);
  
  public void addChildren(AID childrenName);
  public void removeChildren(AID childrenName);
  
  public void setAdapter(DFGUIAdapter dfa);
  
  public void showStatusMsg(String msg);
	public void refreshLastSearchResults(List l, AID df);
  public void removeSearchResult(AID name);
  public void disposeAsync();
  public void setVisible(boolean b);
  public void refresh(Iterator AIDOfAllAgentRegistered,Iterator parents,Iterator children) ;

	
}
