/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.DFGUIManagement;

import rca.core.AID;
import rca.domain.FIPAAgentManagement.DFAgentDescription;
import rca.content.AgentAction;

/**
   This class implements the DeregisterFrom action.
   Original author Elisabetta Cortese -  TiLab S.p.A.
   @version $Date: 2003-08-26 11:15:34 +0200 (Tue, 26 Aug 2003) $
*/

public class DeregisterFrom implements AgentAction{
	
	//private Object parentDF;
	//private Object childrenDF;
	private AID df;
	private DFAgentDescription description;
	
	public void setDf(AID df) {
		this.df = df;
	}
	 
	public AID getDf() {
		return df;
	} 
	
	public void setDescription(DFAgentDescription description) {
		this.description = description;
	}
  
	public DFAgentDescription getDescription() {
		return description;
	}
	
	/**
	   @deprecated Use setDf() instead.
	 */
	public void setParentDF(Object df) {
		setDf((AID) df);
	}
	
	/**
	   @deprecated Use getDf() instead.
	 */
	public Object getParentDF() {
		return getDf();
	}
	
	/**
	   @deprecated Use setDescription() instead.
	 */
	public void setChildredDF(Object dsc) {
		setDescription((DFAgentDescription) dsc);
	}
	
	/**
	   @deprecated Use getDescription() instead.
	 */
	public Object getChildrenDF() {
		return getDescription();
	}
}