/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.DFGUIManagement;


import rca.core.AID;
import rca.domain.FIPAAgentManagement.DFAgentDescription;
import rca.domain.FIPAAgentManagement.SearchConstraints;
import rca.content.AgentAction;

/**
   This class implements the searcOn action.
   It allows the dfApplet to request a search on another df.
   Original author Elisabetta Cortese -  TiLab S.p.A.
   @version $Date: 2002-07-12 09:53:36 +0200 (Fri, 12 Jul 2002) $
*/

public class SearchOn implements AgentAction{
	
	private AID df;
	private DFAgentDescription description;
	private SearchConstraints constraints;
	
	/**
	The df on which the search will be made.
	*/
	public void setDf(AID parent)
	{
		df = parent;
	}
	 
	public AID getDf()
	{
		return df;
	} 
	
	public void setDescription(DFAgentDescription desc)
	{
		description = desc;
	}
  
	public DFAgentDescription getDescription()
	{
		return description;
	}
	
	public void setConstraints(SearchConstraints c)
	{
		constraints = c;
	}
	
	public SearchConstraints getConstraints()
	{
	return constraints;
	}
}