/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.FIPAAgentManagement;

import rca.domain.FIPAException;
import rca.lang.acl.ACLMessage;

/**
This class represents a generic FailureException 
Original author Fabio Bellifemine - CSELT S.p.A.
@version $Date: 2000-09-12 15:24:08 +0200 (Tue, 12 Sep 2000) $ $Revision: 1857 $
*/
public class FailureException extends FIPAException {

  public FailureException(String msg) {
    super(msg);
  }
  public ACLMessage getACLMessage() {
    if (msg == null) {
      msg = new ACLMessage(ACLMessage.FAILURE);
      msg.setContent("("+getMessage()+")"); //in SL-0 it must be a t-uple
    } else
      msg.setPerformative(ACLMessage.FAILURE);
    return msg;
  }

}
