/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.FIPAAgentManagement;

import rca.content.Predicate;

/** 
* 
* @see rca.domain.FIPAAgentManagement.FIPAManagementOntology
* Original author Fabio Bellifemine - CSELT S.p.A.
* @version $Date: 2003-03-10 16:38:45 +0100 (Mon, 10 Mar 2003) $ $Revision: 3775 $
*/

public class MissingParameter extends RefuseException implements Predicate {

  public MissingParameter() {
    this("Unkown-object", "Unknown-parameter-name"); 
  }
  
public MissingParameter(String objectName, String parameterName) {
  super("(missing-parameter "+objectName+" "+parameterName+")");
  s1=objectName;
  s2=parameterName;
}


/**
  @serial
  */
String s1,s2;
public void setObjectName(String a){s1=a; setMessage("(missing-parameter "+s1+" "+s2+")");}
public String getObjectName() {return s1;}
public void setParameterName(String a){s2=a; setMessage("(missing-parameter "+s1+" "+s2+")");}
public String getParameterName() {return s2;}


}