/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.FIPAAgentManagement;
/** 
* 
* @see rca.domain.FIPAAgentManagement.FIPAManagementOntology
* Original author Fabio Bellifemine - CSELT S.p.A.
* @version $Date: 2003-03-10 16:38:45 +0100 (Mon, 10 Mar 2003) $ $Revision: 3775 $
*/

import rca.domain.FIPAException;
import rca.lang.acl.ACLMessage;

public class NotUnderstoodException extends FIPAException {

  public NotUnderstoodException(String msg) {
    super(msg);
  }

  public ACLMessage getACLMessage() {
    if (msg == null) {
      msg = new ACLMessage(ACLMessage.NOT_UNDERSTOOD);
      msg.setContent("("+getMessage()+")"); //in SL-0 it must be a t-uple
    } else
      msg.setPerformative(ACLMessage.NOT_UNDERSTOOD);
    return msg;
  }
}
