/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.FIPAAgentManagement;

import rca.content.*;

/** 
   This class implements the <code>register</code> action of the 
   <code>fipa-agent-management ontology</code>.
   This action is supported by (and can be requested to) both the AMS and
   the DF.
   @see rca.domain.FIPAAgentManagement.FIPAManagementOntology
   Original author Fabio Bellifemine - CSELT S.p.A.
   @version $Date: 2003-11-24 14:47:00 +0100 (Mon, 24 Nov 2003) $ $Revision: 4597 $
*/
public class Register implements AgentAction {

    /**
       A string constant for the <code>description</code> slot name.
    */
    public static final String REGISTER_DESCRIPTION = "description";
	
    Object description;	

    /**
       Default constructor.
    */
    public Register() {
    }

    /**
       Set the <code>description</code> slot of this object.
       @param desc An AMS or DF description for this action.
    */
    public void setDescription(Object desc) {
	description = desc;
    }

    /**
       Retrieve the <code>description</code> slot of this object.
       @return The value of the <code>description</code> slot of
       this action, or <code>null</code> if no value was set.
    */
    public Object getDescription() {
	return description;
    }

}
