/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain.introspection;

//#APIDOC_EXCLUDE_FILE

import rca.content.AgentAction;

/**
 This class represents the <code>get-value</code> action of the Introspection Ontology.
 This action allows querying an agent that is running an IntrospectionServer behaviour 
 for the value corresponding to a given key.

 Original author Giovanni Caire - TILAB
 */
public class GetValue implements AgentAction {
	private String key;

	public GetValue() {
	}

	public GetValue(String key) {
		this.key = key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getKey() {
		return key;
	}
}
