/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain.introspection;


/**
   This class represents the <code>meta-reset-events</code> concept in
   the <code>rca-introspection</code> ontology.

   Original author Giovanni Rimassa - FRAMeTech s.r.l.
 */
public class ResetEvents implements Event {

    /**
       A string constant for the name of this event.
    */
    public static final String NAME = "Meta_Reset-Events";


    /**
       Default constructor. A default constructor is necessary for
       ontological classes.
    */
    public ResetEvents() {
    }

    /**
       Retrieve the name of this event.
       @return A constant value for the event name.
    */
    public String getName() {
	return NAME;
    }

}
