/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.introspection;

//#APIDOC_EXCLUDE_FILE

import rca.core.Channel;
import rca.content.Concept;

/**
   An introspection event, recording the routing of an ACL message
   within the platform.

   Original author Giovanni Rimassa -  Universita' di Parma
   @version $Date: 2003-11-19 17:04:37 +0100 (Wed, 19 Nov 2003) $ $Revision: 4567 $
*/
public class RoutedMessage implements Concept {

    private Channel from;
    private Channel to;
    private ACLMessage message;

    public void setFrom(Channel c) {
	from = c;
    }

    public Channel getFrom() {
	return from;
    }

    public void setTo(Channel c) {
	to = c;
    }

    public Channel getTo() {
	return to;
    }

    public void setMessage(ACLMessage msg) {
	message = msg;
    }

    public ACLMessage getMessage() {
	return message;
    }

}
