/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.domain.mobility;

import rca.domain.FIPAAgentManagement.ExceptionVocabulary;

/**
   This interface contains all the string constants for concepts and slot
   names defined in the
   <code>Behaviour-Loading</code> ontology.
*/
public interface BehaviourLoadingVocabulary extends ExceptionVocabulary {
	
  /**
    A symbolic constant, containing the name of this ontology.
   */
  public static final String NAME = "Behaviour-Loading";

  // Concepts
  public static final String PARAMETER = "parameter";
  public static final String PARAMETER_NAME	= "name";
  public static final String PARAMETER_VALUE	= "value";
  public static final String PARAMETER_MODE	= "mode";
  
  // Actions
  public static final String LOAD_BEHAVIOUR = "load-behaviour";
  public static final String LOAD_BEHAVIOUR_CLASS_NAME = "class-name";
  public static final String LOAD_BEHAVIOUR_CODE = "code";
  public static final String LOAD_BEHAVIOUR_ZIP = "zip";
  public static final String LOAD_BEHAVIOUR_PARAMETERS = "parameters";
}
