/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/


package rca.domain.persistence;


import rca.content.AgentAction;
import rca.core.AID;
import rca.core.ContainerID;


/**
  This class represents the <code>load-agent</code> action of the
  <code>JADE-Persistence</code> ontology.  This action can be
  requested to the rca AMS to load a previously stored agent on a
  given container.

  Original author Giovanni Rimassa - FRAMeTech s.r.l.

*/
public class LoadAgent implements AgentAction {

    public LoadAgent() {
    }

    public void setAgent(AID id) {
	agent = id;
    }

    public AID getAgent() {
	return agent;
    }

    public void setRepository(String r) {
	repository = r;
    }

    public String getRepository() {
	return repository;
    }

    public void setWhere(ContainerID cid) {
	where = cid;
    }

    public ContainerID getWhere() {
	return where;
    }


    private AID agent;
    private String repository;
    private ContainerID where;

}
