/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.gui;
	
//#J2ME_EXCLUDE_FILE

	import javax.swing.JButton;
	import javax.swing.ImageIcon;
	import javax.swing.border.Border;
	import java.awt.event.ActionListener;
	import javax.swing.BorderFactory;
	import java.awt.event.ActionEvent;
	
	/**
   
   Button to start a web browser showing the rca Home page.
   
   Original author Tiziana Trucco - CSELT S.p.A.
   @version $Date: 2003-12-15 12:09:35 +0100 (Mon, 15 Dec 2003) $ $Revision: 4664 $

 */

	
	public class JadeLogoButton extends JButton
	{
		private static String logojade ="images/jadelogo.jpg";

	    /**
	       Default constructor.
	    */
		public JadeLogoButton()
		{
			ImageIcon jadeicon = new ImageIcon(getClass().getResource(logojade));
    	//JButton logo = new JButton(jadeicon);
			setIcon(jadeicon);
    	Border raisedbevel = BorderFactory.createRaisedBevelBorder();
    	setBorder(raisedbevel);
      setToolTipText("Go to JADE Home Page"); 
      addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{						
					try{
						BrowserLauncher.openURL(BrowserLauncher.jadeURL);
					}catch(java.io.IOException ex){ex.printStackTrace();}
				}	
			} );
			}

	}
