package rca.gui;

/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

//#APIDOC_EXCLUDE_FILE
//#J2ME_EXCLUDE_FILE

import java.awt.image.RGBImageFilter;
import java.awt.Color;

/**
   Javadoc documentation for the file
   Original author Francisco Regi, Andrea Soracchi - Universita` di Parma
   @version $Date: 2003-11-20 11:55:37 +0100 (Thu, 20 Nov 2003) $ $Revision: 4572 $
 */
public class MyFilterImage extends RGBImageFilter {

  Color colorPixel;
  Color colorNewPixel;


  public MyFilterImage() {
     canFilterIndexColorModel = true;
  }

  public int filterRGB(int x, int y, int rgb) {
   int intensity;
   int alpha=128;
   int redComponent,greenComponent,bluComponent;

   redComponent=(rgb & 0xFF0000) >> 16;
   greenComponent=(rgb & 0xff00) >> 8;
   bluComponent=rgb & 0xFF;
   intensity=(int) (redComponent * 0.299 + greenComponent * 0.587 +bluComponent * 0.114) ;
   redComponent= intensity << 16;
   greenComponent=intensity << 8;
   bluComponent=intensity;
   alpha=alpha << 24;

   return (alpha + redComponent + greenComponent + bluComponent);
  }

}
