/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.gui;

//#APIDOC_EXCLUDE_FILE
//#J2ME_EXCLUDE_FILE

import java.net.URL;
import java.io.IOException;
import javax.swing.JEditorPane;
import javax.swing.JScrollPane;
import javax.swing.JDialog;
import javax.swing.JPanel;
import java.awt.*;
import java.awt.event.*;

/*
This class provide the help for the GUI of the DF
Original author Tiziana Trucco - CSELT S.p.A.
@version $Date: 2003-11-20 11:55:37 +0100 (Thu, 20 Nov 2003) $ $ Revision: 1.3 $

 */

public class TreeHelp extends JDialog {
    
	  /**
    @serial
	  */
	  private JEditorPane htmlPane;
    
	  /**
    @serial
	  */
    private URL helpURL;

    //Optionally play with line styles.  Possible values are
    //"Angled", "Horizontal", and "None" (the default).
    /**
    @serial
	  */
    private boolean playWithLineStyle = false;
    /**
    @serial
	  */
    private String lineStyle = "Angled"; 

    public TreeHelp(Frame owner, String title, String url) {
  
        super(owner,title);
        //setTitle(title);
        // added for reply to window closing
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                disposeAsync();
            }
        });
        setHTMLText(url);
        	

    }
    
    public TreeHelp(Dialog owner, String title, String url) {
  
        super(owner,title);
        //setTitle(title);
        // added for reply to window closing
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                disposeAsync();
            }
        });
        
       
        setHTMLText(url);
        	
    }
    

    private void setHTMLText(String url)
    {
        JPanel main = new JPanel();
        
        main.setLayout(new BorderLayout());
        
        //Create the HTML viewing pane.
        htmlPane = new JEditorPane();
        htmlPane.setEditable(false);
        htmlPane.setPreferredSize(new Dimension(500,300));
        JScrollPane htmlView = new JScrollPane(htmlPane);
	      

    		try {
            htmlPane.setPage(getClass().getResource(url));
        } catch (IOException e) {
            System.err.println("Attempted to read a bad URL");
        }
    
        main.add(htmlView, BorderLayout.CENTER);
        setSize(500,500);
        try{
        	int x = getOwner().getX() + (getOwner().getWidth() - getWidth()) / 2;
        	int y = getOwner().getY() + (getOwner().getHeight() - getHeight()) / 2;
          setLocation( x>0 ? x:0, y>0 ? y:0);
        }catch(Exception e){}
        getContentPane().add(main, BorderLayout.CENTER);
        
    }

    

    
    public void disposeAsync() {

    class disposeIt implements Runnable {
      private Window toDispose;

      public disposeIt(Window w) {
			toDispose = w;
      }

      public void run() {
			toDispose.dispose();
      }

    }
    
    EventQueue.invokeLater(new disposeIt(this));

  }


    
}
