/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.gui;

//#APIDOC_EXCLUDE_FILE
//#J2ME_EXCLUDE_FILE

import javax.swing.*;
import javax.swing.tree.TreeCellRenderer;
import java.awt.*;

/**
 * This is the renderer of the Tree.
 * The method getTreeCellRendererComponent is messaged
 * when OS repaints the Tree. In this class we describe as
 * a node of the tree must appear


   Original author Francisco Regi, Andrea Soracchi - Universita` di Parma
   @version $Date: 2004-04-06 10:27:40 +0200 (Tue, 06 Apr 2004) $ $Revision: 4965 $

 */

public class TreeIconRenderer extends JLabel implements TreeCellRenderer {

 public TreeIconRenderer() {
        setOpaque(true);
 }


 public Component getTreeCellRendererComponent(JTree tree,
                                               Object value,
                                               boolean selected,
                                               boolean expanded,
                                               boolean leaf,
                                               int row,
                                               boolean hasFocus) {
  setFont(tree.getFont());
    if(selected){
      setForeground(tree.getBackground());
      setBackground(tree.getForeground());
    }
    else {
      setBackground(tree.getBackground());
      setForeground(tree.getForeground());
    }
     AgentTree.Node data= (AgentTree.Node) value;
     if (data!=null) {
       setToolTipText(data.getToolTipText());
       setIcon(data.getIcon(data.getType()));
       setText(data.getName());
     }
      else {
       setIcon(null);
       setText(value.toString());
     }
    return this;
 }

}
