/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.gui;

//#APIDOC_EXCLUDE_FILE
//#J2ME_EXCLUDE_FILE

import java.awt.Component;
import java.util.Iterator;
import rca.domain.FIPAAgentManagement.APService;
import java.awt.Dialog;

/**
* This class extends the VisualStringList in order to show a list of APService
* @see rca.gui.VisualStringList
* @see rca.domain.FIPAAgentManagement.APService
* Original author Tiziana Trucco - CSELT S.p.A
* @version $Date: 2003-11-20 11:55:37 +0100 (Thu, 20 Nov 2003) $ $Revision: 4572 $
*/

public class VisualAPServiceList extends VisualStringList
{
	
	VisualAPServiceList(Iterator content, Component owner)
	{
		super(content,owner);
	}
	
	protected String getElementName(Object el)
	{
		return (((APService)el).getName());
	}

	protected Object editElement(Object el, boolean isEditable)
	{
		
		APServicePanel.viewAPServiceDialog((APService)el,(Dialog)owner,"APService Description");
 		return null;
	}
	
	
}

	
	
