/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.gui;

//#APIDOC_EXCLUDE_FILE
//#J2ME_EXCLUDE_FILE

import java.awt.Component;
import java.util.Iterator;
import rca.domain.FIPAAgentManagement.ServiceDescription;
import java.awt.Dialog;

/**
* This class extends the VisualStringList in order to show a list of services
* @see rca.gui.VisualStringList
* @see rca.gui.ServiceDscDlg
* @see rca.domain.FIPAAgentManagement.ServiceDescription
* Original author Tiziana Trucco - CSELT S.p.A
* @version $Date: 2005-04-15 17:45:02 +0200 (Fri, 15 Apr 2005) $ $Revision: 5669 $
*/

public class VisualServicesList extends VisualStringList
{
	/**
  @serial
  */
  boolean checkSlots;
	VisualServicesList(Iterator content, Component owner)
	{
		super(content,owner);
		checkSlots = true;
	}

	/*#DOTNET_INCLUDE_BEGIN
	VisualServicesList(rca.util.leap.Iterator content, Component owner)
	{
		super(content,owner);
		checkSlots = true;
	}
	#DOTNET_INCLUDE_END*/
	
	protected String getElementName(Object el)
	{
		return (((ServiceDescription)el).getName());
	}
	
	protected Object editElement(Object el, boolean isEditable)
	{
		
		ServiceDscDlg gui = new ServiceDscDlg((Dialog)owner);
 		return gui.viewSD((ServiceDescription)el,isEditable, checkSlots);
 		
	}
	
	
	/**
	This method is used to ensure that the mandatory fields would be corrected inserted. 
	*/
	public void setCheckMandatorySlots(boolean checkMandatorySlots)
	{
		this.checkSlots = checkMandatorySlots;
	}

	
	
}
