/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.imtp.rmi;

import rca.mtp.TransportAddress;

/**
 * Class declaration
 * Original author LEAP
 */
public class RMIAddress implements TransportAddress {
    protected String host;
    protected String port;
    protected String file;
    protected String anchor;

    /**
     * Constructor declaration
     */
    public RMIAddress() {}

    /**
     * Constructor declaration
     * @param host
     * @param port
     * @param file
     * @param anchor
     */
    public RMIAddress(String host, String port, String file, String anchor) {
        this.host = host;
        this.port = port;
        this.file = file;
        this.anchor = anchor;
    }

    /**
     * Method declaration
     * @return
     * @see
     */
    public String getProto() {
        return "rmi";
    } 

    /**
     * Method declaration
     * @return
     * @see
     */
    public String getHost() {
        return host;
    } 

    /**
     * Method declaration
     * @return
     * @see
     */
    public String getPort() {
        return port;
    } 

    /**
     * Method declaration
     * @return
     * @see
     */
    public String getFile() {
        return file;
    } 

    /**
     * Method declaration
     * @return
     * @see
     */
    public String getAnchor() {
        return anchor;
    } 

}

