/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.imtp.rmi;

//#APIDOC_EXCLUDE_FILE

import java.rmi.Remote;
import java.rmi.RemoteException;

import rca.core.Service;
import rca.core.ServiceDescriptor;
import rca.core.Node;
import rca.core.NodeDescriptor;
import rca.core.ServiceException;

import rca.security.JADESecurityException;

import java.util.Vector;

/**
   Original author Giovanni Rimassa - FRAMeTech s.r.l
   @version $Date: 2004-12-06 10:16:13 +0100 (Mon, 06 Dec 2004) $ $Revision: 5477 $
 */
// Notice that this interface (and the method getPlatformName)
// are declared public just for the purpose of 
// the program rca.misc.JADEPlatformTest
public interface ServiceManagerRMI extends Remote {

    // Proper ServiceManager-like methods
    public String getPlatformName() throws RemoteException;
    String addNode(NodeDescriptor dsc, Vector nodeServices, boolean propagated) throws RemoteException, ServiceException, JADESecurityException;
    void removeNode(NodeDescriptor dsc, boolean propagated) throws RemoteException, ServiceException;
    void addSlice(ServiceDescriptor service, NodeDescriptor dsc, boolean propagated)  throws RemoteException, ServiceException;
    void removeSlice(String serviceKey, String sliceKey, boolean propagated)  throws RemoteException, ServiceException;
    void addReplica(String newAddr, boolean propagated)  throws RemoteException, ServiceException;
    void removeReplica(String address, boolean propagated)  throws RemoteException, ServiceException;

    Service.Slice findSlice(String serviceKey, String sliceKey) throws RemoteException, ServiceException;
    Vector findAllSlices(String serviceKey) throws RemoteException, ServiceException;
   
    void adopt(Node n, Node[] children) throws RemoteException;
    void ping() throws RemoteException;    
}
