/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.mtp;

import rca.util.WrapperException;

/**
  Generic exception class for MTP errors.
*/
public class MTPException extends WrapperException {

  /**
     Constructor for exception class.
     @param msg A message detailing the cause of the exception.
   */
  public MTPException(String msg) {
    super(msg);
  }

  /**
     Constructor for exception class.
     @param msg A message detailing the cause of the exception.
     @param t The exception wrapped by this object.
  */
  public MTPException(String msg, Throwable t) {
    super(msg, t);
  }

}
