/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.mtp;


import rca.domain.FIPAAgentManagement.Envelope;


/**
   This interface is the sender's view of an MTP.
 */
public interface OutChannel {

  /**
     Delivers to the specified address an ACL message, encoded in some
     concrete message representation, using the given envelope as a
     transmission header.
     @param ta The transport address to deliver the message to. It
     must be a valid address for this MTP.
     @param env The message envelope, containing various fields
     related to message recipients, encoding, and timestamping.
     @payload The byte sequence that contains the encoded ACL message.
     @exception MTPException Thrown if some MTP delivery error occurs.
   */
  void deliver(String addr, Envelope env, byte[] payload) throws MTPException;

}
