/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.mtp.http.https;

//#PJAVA_EXCLUDE_FILE

import rca.core.Profile;

import javax.net.ssl.X509KeyManager;
/**
 * Marker interface for all key managers used in HTTPS MTP
 * 
 * Original author <a href="mailto:Joan.Ametller@uab.es">Joan Ametller Esquerra</a>
 * 
 */
public interface HTTPSKeyManager extends X509KeyManager {
  /**
   * This method is used to pass profile data to trust Managers. Specific parameters
   * can be retrieved from profile instance.
   * @param profile
   */
  void init(Profile profile) throws Exception;
}
