/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
 
package rca.mtp.http.https;

//#PJAVA_EXCLUDE_FILE

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import rca.core.Profile;

/**
 * This class represents a Dummy trust manager used when we are not interested 
 * in authentication. No checks are performed over certificates sent during
 * the protocol handshaking. Several attacks can be performed if we use this
 * trust manager, be very careful in using it.
 * 
 * Original author <a href="mailto:Joan.Ametller@uab.es">Joan Ametller Esquerra</a>
 * 
 */
public class NoAuthentication implements HTTPSTrustManager {

  public X509Certificate[] getAcceptedIssuers() {
    return null;
  }

  public void checkClientTrusted(X509Certificate[] arg0, String arg1)
    throws CertificateException {
  }

  public void checkServerTrusted(X509Certificate[] arg0, String arg1)
    throws CertificateException {
  }
  
  public void init(Profile profile) throws Exception{
    
  }
}
