/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.proto;

//#J2ME_EXCLUDE_FILE

import rca.proto.states.*;

/**
 * Interface description
 * Original author Elena Quarantotto - TILAB
 * Original author Giovanni Caire - TILAB
 */
public interface TwoPhConstants {
    public static final String JADE_TWO_PHASE_COMMIT = "Jade-Two-Phase-Commit";
    /* Possible TwoPh0Initiator's returned values */
    /* update1
    public static final int ALL_PROPOSE = 1;
    public static final int PH0_TIMEOUT_EXPIRED = MsgReceiver.TIMEOUT_EXPIRED;
    public static final int SOME_FAILURE = 2;
    */
    public static final int ALL_RESPONSES_RECEIVED = 1; // update1
    /* Possible TwoPh1Initiator's returned values */
    public static final int ALL_CONFIRM = 1;
    public static final int ALL_CONFIRM_OR_INFORM = 2;
    public static final int SOME_DISCONFIRM = 3;
    public static final int PH1_TIMEOUT_EXPIRED = MsgReceiver.TIMEOUT_EXPIRED;
    
    public static final String PH0 = "PH0";
    public static final String PH1 = "PH1";
    public static final String PH2 = "PH2";
}
