/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.security;

import rca.lang.acl.ACLMessage;

/**
   This interface includes the subset of methods of the 
   <code>SecurityHelper</code> class required by the rca runtime
	
	 Original author Giovanni Caire - TILAB
*/
public interface CredentialsHelper {

	/**
	   Retrieve the principal of the agent this CredentialsHelper 
	   refers to.
	 */
	JADEPrincipal getPrincipal();
	
	/**
	   Retrieve the credentials of the agent this CredentialsHelper 
	   refers to.
	 */
	Credentials getCredentials();
	
	/**
	   Retrieve the principal of the sender of a signed ACLMessage.
	 */
	JADEPrincipal getPrincipal(ACLMessage msg);
	
	/**
	   Retrieve the credentials of the sender of a signed ACLMessage.
	 */
	Credentials getCredentials(ACLMessage msg) throws JADESecurityException;
}
