/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.wrapper;

//#APIDOC_EXCLUDE_FILE

import rca.core.AID;
import rca.core.Location;
import rca.mtp.MTPDescriptor;

/**
   This interface is used by an AgentController or ContainerController
   to request action to the underlying implementation as if they
   where received from the main container.
   <br>
   <b>NOT available in MIDP</b>
   <br>
   Original author Giovanni Caire - TILAB
 */
public interface ContainerProxy {
	void createAgent(AID id, String className, Object[] args) throws Throwable;	
	void killContainer() throws Throwable;
	MTPDescriptor installMTP(String address, String className) throws Throwable;
	void uninstallMTP(String address) throws Throwable;
	void suspendAgent(AID id) throws Throwable;
	void activateAgent(AID id) throws Throwable;
	void killAgent(AID id) throws Throwable;
	void moveAgent(AID id, Location where) throws Throwable;
	void cloneAgent(AID id, Location where, String newName) throws Throwable;
}
