/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.wrapper;

/**
   <br>
   <b>NOT available in MIDP</b>
   <br>
*/
public interface PlatformEvent {

    //String agentGUID, platformName;
    //int eventType;

    /**
       String constant for the name of the <code>born-agent</code> event.
    */
    public static final int BORN_AGENT = 3;

    /**
       String constant for the name of the <code>dead-agent</code> event.
    */
    public static final int DEAD_AGENT = 4;

    /**
       String constant for the name of the <code>started-platform</code> event.
    */
    public static final int STARTED_PLATFORM = 100;

    /**
       String constant for the name of the <code>suspended-platform</code> event.
    */
    public static final int SUSPENDED_PLATFORM = 101;

    /**
       String constant for the name of the <code>resumed-platform</code> event.
    */
    public static final int RESUMED_PLATFORM = 102;

    /**
       String constant for the name of the <code>killed-platform</code> event.
    */
    public static final int KILLED_PLATFORM = 103;

    /*PlatformEvent(Object anObject, int eventType, String agentGUID, String platformName) {
        super(anObject);
				this.eventType = eventType;
				this.agentGUID = agentGUID;
				this.platformName = platformName;
    }*/

    //public String getAgentGUID() {return agentGUID;}
    //public String getPlatformName() {return platformName;}
    //public int getEventType() {return eventType;}

    /**
       Retrieve the global agent name (i.e. the local name and the
       platform ID).
       @return The global name of the agent this event refers to.
    */
    public String getAgentGUID();

    /**
       Retrieve the platform name.
       @return The name of the platform this event refers to.
    */
    public String getPlatformName();

    /**
       Retrieve the event type.
       @return The type of this event.
    */
    public int getEventType();
}
