/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/

package rca.wrapper;

/**
 This exception class is thrown when an attempt to use a stale
 (i.e. outdated) wrapper object is made.
 <br>
 <b>NOT available in MIDP</b>
 <br>
 */
public class StaleProxyException extends ControllerException {

  /**
     Creates a new exception object, with a default detail message.
   */
  StaleProxyException() {
    super("The proxy is not valid anymore.");
  }

  /**
     Creates a new exception object, with a given detail message.
     @param message The detail message for the new exception object.
   */
  StaleProxyException(String message) {
    super(message);
  }

  /**
   * Creates a new exception object, extracting message from another throwable.
   * @param aThrowable The original exception or error.
   */
  StaleProxyException(Throwable aThrowable) {
    super(aThrowable.getMessage());
  }

}

