/*---------------------------------------------------------------------------*
*  Copyright (c) 2006        Southeastern Universities Research Association, *
*                            Thomas Jefferson National Accelerator Facility  *
*                                                                            *
*    This software was developed under a United States Government license    *
*    described in the NOTICE file included as part of this distribution.     *
*                                                                            *
*    Author:  Vardan Gyurjyan                                                *
*             gurjyan@jlab.org                  Jefferson Lab, MS-6A         *
*             Phone: (757) 269-5879             12000 Jefferson Ave.         *
*             Fax:   (757) 269-5518             Newport News, VA 23606       *
*                                                                            *
*----------------------------------------------------------------------------*/
package rca.wrapper;

/**
 * Defines the interface to all concrete implementations of state representation.
   <br>
   <b>NOT available in MIDP</b>
   <br>
 * Original author Kevin A. Minder, David Bell, Dick Cowan : Hewlett-Packard
 */
public interface State {

    /**
     * Returns the name of the state.
     * This method will never return null.
     * @return The descriptive name of the state.
     */
    public String getName();

    /**
     * Return the integer code assigned to the state.
     * @return The integer code assigned to the state.
     */
    public int getCode();

    /**
     * Return string representation of state description and its code.
     * @return String representation of this state.
     */
    public String toString();

}
