/*-----------------------------------------------------------------------------
 * Copyright (c) 1991,1992 Southeastern Universities Research Association,
 *                         Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 * CEBAF Data Acquisition Group, 12000 Jefferson Ave., Newport News, VA 23606
 * Email: coda@cebaf.gov  Tel: (804) 249-7101  Fax: (804) 249-7363
 *-----------------------------------------------------------------------------
 * 
 * Description:
 *	hp_rpc conv routine, only for hp machine
 *	
 * Author:  Jie Chen, CEBAF Data Acquisition Group
 *
 * Revision History:
 *   $Log: hpRpcConv.c,v $
 *   Revision 1.1.1.1  1996/08/21 19:18:47  heyes
 *   Imported sources
 *
 *	  Revision 1.1  1993/05/28  18:01:37  chen
 *	  Initial revision
 *
 *
 */
#include <stdio.h>
#include <string.h>

main(argc,argv)
int argc;
char **argv;
{
	FILE *fin;
	char line[200];
	int   status = 0;
	
	if (argc != 3){
		fprintf(stderr,"Usage: %s filename, argument\n",argv[0]);
		exit(1);
	}			
	fin = fopen(argv[1],"r");
	if(fin == NULL){
		fprintf(stderr,"Cannot open file %s\n",argv[1]);
		exit(1);
	}
	while(feof(fin) == 0){
		fgets(line,200,fin);
		line[199] = '\0';
		if (strstr(line,"memset")!= NULL && strchr(line,'0') != NULL)
			printf("        bzero(&%s,sizeof(%s));\n",argv[2],argv[2]);
		else
			printf("%s",line);
	}
	fclose(fin);
}
